harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hinde...@apache.org
Subject svn commit: r562079 - /harmony/enhanced/trunk/debian/
Date Thu, 02 Aug 2007 11:17:50 GMT
Author: hindessm
Date: Thu Aug  2 04:17:49 2007
New Revision: 562079

URL: http://svn.apache.org/viewvc?view=rev&rev=562079
Log:
First attempt at debian packaging.

Added:
    harmony/enhanced/trunk/debian/
    harmony/enhanced/trunk/debian/README.Debian   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jdk.dirs   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jdk.links   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jdk.postinst   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jdk.prerm   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jre.dirs   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jre.links   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jre.postinst   (with props)
    harmony/enhanced/trunk/debian/apache-harmony-jre.prerm   (with props)
    harmony/enhanced/trunk/debian/changelog   (with props)
    harmony/enhanced/trunk/debian/compat   (with props)
    harmony/enhanced/trunk/debian/control   (with props)
    harmony/enhanced/trunk/debian/copyright   (with props)
    harmony/enhanced/trunk/debian/dirs   (with props)
    harmony/enhanced/trunk/debian/docs   (with props)
    harmony/enhanced/trunk/debian/rules   (with props)

Added: harmony/enhanced/trunk/debian/README.Debian
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/README.Debian?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/README.Debian (added)
+++ harmony/enhanced/trunk/debian/README.Debian Thu Aug  2 04:17:49 2007
@@ -0,0 +1,6 @@
+apache-harmony for Debian
+-------------------------
+
+<possible notes regarding this package - if none, delete this file>
+
+ -- Mark Hindess <mark.hindess@googlemail.com>  Wed, 27 Jun 2007 10:49:01 +0100

Propchange: harmony/enhanced/trunk/debian/README.Debian
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jdk.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jdk.dirs?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jdk.dirs (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jdk.dirs Thu Aug  2 04:17:49 2007
@@ -0,0 +1 @@
+/usr/lib/apache-harmony-jdk

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jdk.dirs
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jdk.links
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jdk.links?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jdk.links (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jdk.links Thu Aug  2 04:17:49 2007
@@ -0,0 +1,5 @@
+/usr/bin/jarsigner-harmony /usr/lib/apache-harmony-jdk/bin/jarsigner
+/usr/bin/java-harmony /usr/lib/apache-harmony-jdk/bin/java
+/usr/bin/javac-harmony /usr/lib/apache-harmony-jdk/bin/javac
+/usr/bin/javah-harmony /usr/lib/apache-harmony-jdk/bin/javah
+/usr/bin/keytool-harmony /usr/lib/apache-harmony-jdk/bin/keytool

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jdk.links
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jdk.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jdk.postinst?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jdk.postinst (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jdk.postinst Thu Aug  2 04:17:49 2007
@@ -0,0 +1,47 @@
+#!/bin/sh
+# postinst script for apache-harmony-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        for f in jarsigner java javac javah keytool ; do
+            update-alternatives \
+                --install /usr/bin/$f $f /usr/bin/$f-harmony 30 \
+                --slave /usr/share/man/man1/$f.1.gz $f.1.gz \
+                        /usr/share/man/man1/$f-harmony.1.gz
+        done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jdk.postinst
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jdk.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jdk.prerm?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jdk.prerm (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jdk.prerm Thu Aug  2 04:17:49 2007
@@ -0,0 +1,46 @@
+#!/bin/sh
+# prerm script for apache-harmony-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        for f in jarsigner java javac javah keytool ; do
+            update-alternatives --remove $f /usr/bin/$f-harmony
+        done
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jdk.prerm
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jre.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jre.dirs?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jre.dirs (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jre.dirs Thu Aug  2 04:17:49 2007
@@ -0,0 +1 @@
+/usr/lib/apache-harmony-jre

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jre.dirs
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jre.links
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jre.links?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jre.links (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jre.links Thu Aug  2 04:17:49 2007
@@ -0,0 +1 @@
+/usr/bin/java-harmony /usr/lib/apache-harmony-jre/bin/java

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jre.links
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jre.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jre.postinst?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jre.postinst (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jre.postinst Thu Aug  2 04:17:49 2007
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postinst script for apache-harmony-jre
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        update-alternatives \
+            --install /usr/bin/java java /usr/bin/java-harmony 30 \
+            --slave /usr/share/man/man1/java.1.gz java.1.gz \
+                    /usr/share/man/man1/java-harmony.1.gz
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jre.postinst
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/apache-harmony-jre.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/apache-harmony-jre.prerm?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/apache-harmony-jre.prerm (added)
+++ harmony/enhanced/trunk/debian/apache-harmony-jre.prerm Thu Aug  2 04:17:49 2007
@@ -0,0 +1,44 @@
+#!/bin/sh
+# prerm script for apache-harmony-jre
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        update-alternatives --remove java /usr/bin/java-harmony
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Propchange: harmony/enhanced/trunk/debian/apache-harmony-jre.prerm
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/changelog
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/changelog?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/changelog (added)
+++ harmony/enhanced/trunk/debian/changelog Thu Aug  2 04:17:49 2007
@@ -0,0 +1,6 @@
+apache-harmony (0.0r562079-1) unstable; urgency=low
+
+  * Initial attempt at Debian package.  Still needs a lot of work.
+
+ -- Mark Hindess <mark.hindess@googlemail.com>  Thu,  2 Aug 2007 12:16:25 +0100
+

Propchange: harmony/enhanced/trunk/debian/changelog
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/compat
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/compat?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/compat (added)
+++ harmony/enhanced/trunk/debian/compat Thu Aug  2 04:17:49 2007
@@ -0,0 +1 @@
+5

Propchange: harmony/enhanced/trunk/debian/compat
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/control
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/control?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/control (added)
+++ harmony/enhanced/trunk/debian/control Thu Aug  2 04:17:49 2007
@@ -0,0 +1,20 @@
+Source: apache-harmony
+Section: unknown
+Priority: extra
+Maintainer: Mark Hindess <mark.hindess@googlemail.com>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: apache-harmony-jre
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: apache-harmony-jdk
+Description: Apache Harmony JRE
+ <insert long description, indented with spaces>
+
+Package: apache-harmony-jdk
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: apache-harmony-jre
+Description: Apache Harmony JDK
+ <insert long description, indented with spaces>

Propchange: harmony/enhanced/trunk/debian/control
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/copyright
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/copyright?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/copyright (added)
+++ harmony/enhanced/trunk/debian/copyright Thu Aug  2 04:17:49 2007
@@ -0,0 +1,218 @@
+This package was debianized by Mark Hindess <mark.hindess@googlemail.com> on
+2 August 2007.
+
+It was downloaded from the Apache Harmony subversion repository.  (See
+http://harmony.apache.org/)
+
+Upstream Author(s): 
+
+    The Apache Harmony team, see http://harmony.apache.org/contributors.html
+    for details.
+
+Copyright: 
+
+
+                                 Apache License
+                           Version 2.0, January 2004
+                        http://www.apache.org/licenses/
+
+   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
+
+   1. Definitions.
+
+      "License" shall mean the terms and conditions for use, reproduction,
+      and distribution as defined by Sections 1 through 9 of this document.
+
+      "Licensor" shall mean the copyright owner or entity authorized by
+      the copyright owner that is granting the License.
+
+      "Legal Entity" shall mean the union of the acting entity and all
+      other entities that control, are controlled by, or are under common
+      control with that entity. For the purposes of this definition,
+      "control" means (i) the power, direct or indirect, to cause the
+      direction or management of such entity, whether by contract or
+      otherwise, or (ii) ownership of fifty percent (50%) or more of the
+      outstanding shares, or (iii) beneficial ownership of such entity.
+
+      "You" (or "Your") shall mean an individual or Legal Entity
+      exercising permissions granted by this License.
+
+      "Source" form shall mean the preferred form for making modifications,
+      including but not limited to software source code, documentation
+      source, and configuration files.
+
+      "Object" form shall mean any form resulting from mechanical
+      transformation or translation of a Source form, including but
+      not limited to compiled object code, generated documentation,
+      and conversions to other media types.
+
+      "Work" shall mean the work of authorship, whether in Source or
+      Object form, made available under the License, as indicated by a
+      copyright notice that is included in or attached to the work
+      (an example is provided in the Appendix below).
+
+      "Derivative Works" shall mean any work, whether in Source or Object
+      form, that is based on (or derived from) the Work and for which the
+      editorial revisions, annotations, elaborations, or other modifications
+      represent, as a whole, an original work of authorship. For the purposes
+      of this License, Derivative Works shall not include works that remain
+      separable from, or merely link (or bind by name) to the interfaces of,
+      the Work and Derivative Works thereof.
+
+      "Contribution" shall mean any work of authorship, including
+      the original version of the Work and any modifications or additions
+      to that Work or Derivative Works thereof, that is intentionally
+      submitted to Licensor for inclusion in the Work by the copyright owner
+      or by an individual or Legal Entity authorized to submit on behalf of
+      the copyright owner. For the purposes of this definition, "submitted"
+      means any form of electronic, verbal, or written communication sent
+      to the Licensor or its representatives, including but not limited to
+      communication on electronic mailing lists, source code control systems,
+      and issue tracking systems that are managed by, or on behalf of, the
+      Licensor for the purpose of discussing and improving the Work, but
+      excluding communication that is conspicuously marked or otherwise
+      designated in writing by the copyright owner as "Not a Contribution."
+
+      "Contributor" shall mean Licensor and any individual or Legal Entity
+      on behalf of whom a Contribution has been received by Licensor and
+      subsequently incorporated within the Work.
+
+   2. Grant of Copyright License. Subject to the terms and conditions of
+      this License, each Contributor hereby grants to You a perpetual,
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+      copyright license to reproduce, prepare Derivative Works of,
+      publicly display, publicly perform, sublicense, and distribute the
+      Work and such Derivative Works in Source or Object form.
+
+   3. Grant of Patent License. Subject to the terms and conditions of
+      this License, each Contributor hereby grants to You a perpetual,
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+      (except as stated in this section) patent license to make, have made,
+      use, offer to sell, sell, import, and otherwise transfer the Work,
+      where such license applies only to those patent claims licensable
+      by such Contributor that are necessarily infringed by their
+      Contribution(s) alone or by combination of their Contribution(s)
+      with the Work to which such Contribution(s) was submitted. If You
+      institute patent litigation against any entity (including a
+      cross-claim or counterclaim in a lawsuit) alleging that the Work
+      or a Contribution incorporated within the Work constitutes direct
+      or contributory patent infringement, then any patent licenses
+      granted to You under this License for that Work shall terminate
+      as of the date such litigation is filed.
+
+   4. Redistribution. You may reproduce and distribute copies of the
+      Work or Derivative Works thereof in any medium, with or without
+      modifications, and in Source or Object form, provided that You
+      meet the following conditions:
+
+      (a) You must give any other recipients of the Work or
+          Derivative Works a copy of this License; and
+
+      (b) You must cause any modified files to carry prominent notices
+          stating that You changed the files; and
+
+      (c) You must retain, in the Source form of any Derivative Works
+          that You distribute, all copyright, patent, trademark, and
+          attribution notices from the Source form of the Work,
+          excluding those notices that do not pertain to any part of
+          the Derivative Works; and
+
+      (d) If the Work includes a "NOTICE" text file as part of its
+          distribution, then any Derivative Works that You distribute must
+          include a readable copy of the attribution notices contained
+          within such NOTICE file, excluding those notices that do not
+          pertain to any part of the Derivative Works, in at least one
+          of the following places: within a NOTICE text file distributed
+          as part of the Derivative Works; within the Source form or
+          documentation, if provided along with the Derivative Works; or,
+          within a display generated by the Derivative Works, if and
+          wherever such third-party notices normally appear. The contents
+          of the NOTICE file are for informational purposes only and
+          do not modify the License. You may add Your own attribution
+          notices within Derivative Works that You distribute, alongside
+          or as an addendum to the NOTICE text from the Work, provided
+          that such additional attribution notices cannot be construed
+          as modifying the License.
+
+      You may add Your own copyright statement to Your modifications and
+      may provide additional or different license terms and conditions
+      for use, reproduction, or distribution of Your modifications, or
+      for any such Derivative Works as a whole, provided Your use,
+      reproduction, and distribution of the Work otherwise complies with
+      the conditions stated in this License.
+
+   5. Submission of Contributions. Unless You explicitly state otherwise,
+      any Contribution intentionally submitted for inclusion in the Work
+      by You to the Licensor shall be under the terms and conditions of
+      this License, without any additional terms or conditions.
+      Notwithstanding the above, nothing herein shall supersede or modify
+      the terms of any separate license agreement you may have executed
+      with Licensor regarding such Contributions.
+
+   6. Trademarks. This License does not grant permission to use the trade
+      names, trademarks, service marks, or product names of the Licensor,
+      except as required for reasonable and customary use in describing the
+      origin of the Work and reproducing the content of the NOTICE file.
+
+   7. Disclaimer of Warranty. Unless required by applicable law or
+      agreed to in writing, Licensor provides the Work (and each
+      Contributor provides its Contributions) on an "AS IS" BASIS,
+      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+      implied, including, without limitation, any warranties or conditions
+      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
+      PARTICULAR PURPOSE. You are solely responsible for determining the
+      appropriateness of using or redistributing the Work and assume any
+      risks associated with Your exercise of permissions under this License.
+
+   8. Limitation of Liability. In no event and under no legal theory,
+      whether in tort (including negligence), contract, or otherwise,
+      unless required by applicable law (such as deliberate and grossly
+      negligent acts) or agreed to in writing, shall any Contributor be
+      liable to You for damages, including any direct, indirect, special,
+      incidental, or consequential damages of any character arising as a
+      result of this License or out of the use or inability to use the
+      Work (including but not limited to damages for loss of goodwill,
+      work stoppage, computer failure or malfunction, or any and all
+      other commercial damages or losses), even if such Contributor
+      has been advised of the possibility of such damages.
+
+   9. Accepting Warranty or Additional Liability. While redistributing
+      the Work or Derivative Works thereof, You may choose to offer,
+      and charge a fee for, acceptance of support, warranty, indemnity,
+      or other liability obligations and/or rights consistent with this
+      License. However, in accepting such obligations, You may act only
+      on Your own behalf and on Your sole responsibility, not on behalf
+      of any other Contributor, and only if You agree to indemnify,
+      defend, and hold each Contributor harmless for any liability
+      incurred by, or claims asserted against, such Contributor by reason
+      of your accepting any such warranty or additional liability.
+
+   END OF TERMS AND CONDITIONS
+
+   APPENDIX: How to apply the Apache License to your work.
+
+      To apply the Apache License to your work, attach the following
+      boilerplate notice, with the fields enclosed by brackets "[]"
+      replaced with your own identifying information. (Don't include
+      the brackets!)  The text should be enclosed in the appropriate
+      comment syntax for the file format. We also recommend that a
+      file or class name and description of purpose be included on the
+      same "printed page" as the copyright notice for easier
+      identification within third-party archives.
+
+   Copyright [yyyy] [name of copyright owner]
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+
+See also the THIRD_PARTY_NOTICES.txt file in the /usr/share/doc directory
+for this package.

Propchange: harmony/enhanced/trunk/debian/copyright
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/dirs?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/dirs (added)
+++ harmony/enhanced/trunk/debian/dirs Thu Aug  2 04:17:49 2007
@@ -0,0 +1 @@
+usr/bin

Propchange: harmony/enhanced/trunk/debian/dirs
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/docs
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/docs?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/docs (added)
+++ harmony/enhanced/trunk/debian/docs Thu Aug  2 04:17:49 2007
@@ -0,0 +1,4 @@
+COPYRIGHT
+LICENSE
+NOTICE
+THIRD_PARTY_NOTICES.txt

Propchange: harmony/enhanced/trunk/debian/docs
------------------------------------------------------------------------------
    svn:eol-style = native

Added: harmony/enhanced/trunk/debian/rules
URL: http://svn.apache.org/viewvc/harmony/enhanced/trunk/debian/rules?view=auto&rev=562079
==============================================================================
--- harmony/enhanced/trunk/debian/rules (added)
+++ harmony/enhanced/trunk/debian/rules Thu Aug  2 04:17:49 2007
@@ -0,0 +1,137 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+#
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+#
+# Modified to make a template file for a multi-binary package with separated
+# build-arch and build-indep targets  by Bill Allombert 2001
+
+JREDIR=$(CURDIR)/debian/apache-harmony-jre
+JDKDIR=$(CURDIR)/debian/apache-harmony-jdk
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+	touch configure-stamp
+
+
+#Architecture 
+build: build-arch build-indep
+
+build-arch: build-arch-stamp
+build-arch-stamp: configure-stamp 
+
+	# Add here commands to compile the arch part of the package.
+	ant -Dauto.fetch=true
+	touch $@
+
+build-indep: build-indep-stamp
+build-indep-stamp: configure-stamp 
+
+	# Add here commands to compile the indep part of the package.
+	#$(MAKE) doc
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
+
+	# Add here commands to clean up after the build process.
+	ant clean
+
+	dh_clean  --exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/Makefile.orig
--exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/fdlibm.h.orig --exclude
./working_classlib/modules/luni/src/main/native/fdlibm_dist/s_lib_version.c.orig --exclude
./working_classlib/modules/archive/src/main/native/zlib_dist/Makefile.orig
+
+install: install-indep install-arch
+install-indep:
+	dh_testdir
+	dh_testroot
+	dh_clean -k -i  --exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/Makefile.orig
--exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/fdlibm.h.orig --exclude
./working_classlib/modules/luni/src/main/native/fdlibm_dist/s_lib_version.c.orig --exclude
./working_classlib/modules/archive/src/main/native/zlib_dist/Makefile.orig
+	dh_installdirs -i
+
+	# Add here commands to install the indep part of the package into
+	# debian/<package>-doc.
+	#INSTALLDOC#
+
+	dh_install -i
+
+install-arch:
+	dh_testdir
+	dh_testroot
+	dh_clean -k -s  --exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/Makefile.orig
--exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/fdlibm.h.orig --exclude
./working_classlib/modules/luni/src/main/native/fdlibm_dist/s_lib_version.c.orig --exclude
./working_classlib/modules/archive/src/main/native/zlib_dist/Makefile.orig
+	dh_installdirs -s
+
+	# Add here commands to install the arch part of the package into 
+	# debian/tmp.
+	# $(MAKE) DESTDIR=$(CURDIR)/debian/apache-harmony install
+	mkdir -p $(JDKDIR)/usr/lib
+	cp -pr $(CURDIR)/target/hdk/jdk/* \
+	    $(JDKDIR)/usr/lib/apache-harmony-jdk
+
+	mkdir -p $(JREDIR)/usr/lib
+	cp -lpr $(JDKDIR)/usr/lib/apache-harmony-jdk/jre/* \
+	    $(JREDIR)/usr/lib/apache-harmony-jre
+
+	dh_install -s
+# Must not depend on anything. This is to be called by
+# binary-arch/binary-indep
+# in another 'make' thread.
+binary-common:
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate	
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress 
+	dh_fixperms
+#	dh_perl
+	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+# Build architecture independant packages using the common target.
+binary-indep: build-indep install-indep
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+
+# Build architecture dependant packages using the common target.
+binary-arch: build-arch install-arch
+	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
+
+binary: binary-arch binary-indep
+.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

Propchange: harmony/enhanced/trunk/debian/rules
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: harmony/enhanced/trunk/debian/rules
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message